Security Enhanced Linux Reference Policy

# Layer: system

## Module: xen

Tunables Interfaces

### Description:

Xen hypervisor.

### Tunables:

xen_use_fusefs

##### Default value

false

##### Description

Determine whether xen can use fusefs file systems.

xen_use_nfs

##### Default value

false

##### Description

Determine whether xen can use nfs file systems.

xen_use_samba

##### Default value

false

##### Description

Determine whether xen can use samba file systems.

Return

### Interfaces:

xen_append_log( domain )

##### Summary

Append xend log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_domtrans_xm( domain )

##### Summary

Execute a domain transition to run xm.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

xen_manage_image_dirs( domain )

##### Summary

Create, read, write, and delete xend image directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_manage_log( domain )

##### Summary

Create, read, write, and delete xend log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_read_image_files( domain )

##### Summary

Read xend image files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_read_xenstored_runtime_files( domain )

##### Summary

Read xenstored runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_runtime_filetrans( domain , private type , object )

##### Summary

Create in a xen_runtime_t directory

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private type | The type of the object to be created.
object | The object class of the object being created.

xen_rw_image_files( domain )

##### Summary

Read and write xend image files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_stream_connect_xenstore( domain )

##### Summary

Connect to xenstored with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_stream_connect_xm( domain )

##### Summary

Connect to xm with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return